> ## Documentation Index
> Fetch the complete documentation index at: https://docs.develophealth.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Prior Authorization Prescription Transfer

> Cancel the prescription transfer for a prior authorization with NDP submission.

## Overview

Cancel an in-progress prescription transfer associated with a prior authorization request. Once canceled, no further processing of the transfer request will occur, including any attempts to confirm receipt of transferred prescriptions.


## OpenAPI

````yaml post /prior-authorization/{id}/prescription-transfer/cancel
openapi: 3.1.0
info:
  title: Develop Health Public API
  description: Develop Health Public API
  version: '1.0'
servers:
  - url: https://api.develophealth.ai
security: []
paths:
  /prior-authorization/{id}/prescription-transfer/cancel:
    post:
      tags:
        - public-api
        - public-api
      summary: Cancel Prescription Transfer By Id
      description: >-
        Cancel the prescription transfer for a prior authorization with NDP
        submission.
      operationId: >-
        cancel_prescription_transfer_by_id_prior_authorization__id__prescription_transfer_cancel_post
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successfully cancelled prescription transfer
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CancelPriorAuthPrescriptionTransferResponse
              example:
                status: success
        '400':
          content:
            application/json:
              example:
                detail: Cannot cancel prescription transfer due to completed status
          description: Cannot cancel prescription transfer in completed state
        '404':
          content:
            application/json:
              example:
                detail: Prior Authorization Request does not exist.
          description: Prior Authorization Request does not exist
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggJWTAuthentication: []
components:
  schemas:
    CancelPriorAuthPrescriptionTransferResponse:
      properties:
        status:
          anyOf:
            - type: string
              enum:
                - success
            - type: string
              enum:
                - error
          title: Status
          default: success
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          type: 'null'
          title: Data
      type: object
      title: CancelPriorAuthPrescriptionTransferResponse
      description: >-
        Represents the response structure for a POST
        /prior-authorization/:id/prescription-transfer/cancel request.


        This response is returned when a prior authorization is successfully
        cancelled.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiError:
      properties:
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        code:
          type: string
          title: Code
      type: object
      required:
        - title
        - description
        - code
      title: ApiError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggJWTAuthentication:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````